summaryrefslogtreecommitdiffstats
path: root/jjb/container4nfv/arm64/compass-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/container4nfv/arm64/compass-build.sh')
-rwxr-xr-xjjb/container4nfv/arm64/compass-build.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/jjb/container4nfv/arm64/compass-build.sh b/jjb/container4nfv/arm64/compass-build.sh
index 696f7ff76..48381cb00 100755
--- a/jjb/container4nfv/arm64/compass-build.sh
+++ b/jjb/container4nfv/arm64/compass-build.sh
@@ -7,8 +7,8 @@ COMPASS_WORK_DIR=$WORKSPACE/../compass-work
mkdir -p $COMPASS_WORK_DIR
ln -s $COMPASS_WORK_DIR work
-#TODO: remove workaround after all arm64 patches merged
-curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario}
+sudo docker rm -f `docker ps | grep compass | cut -f1 -d' '` || true
-# build tarball
-COMPASS_ISO_REPO='http://people.linaro.org/~yibo.cai/compass' ./build.sh
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash || true
+
+./build.sh